require "irc/handlers/identity_handler"
require "irc/handlers/connection_handler"
require "irc/handlers/membership_handler"

module IRC
  class Client
    include Event::Broker
    handler :connection, :identity, :membership
    
    class << self
      def handler_class_from_name(handler_name, namespace = Handlers)
        super(handler_name, namespace)
      rescue NameError
        super(handler_name, self.namespace)
      end
    end
  end
end
